> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-forfragningar/50.-fraga-hamta-rutnatsdata-fran-vectoranalysismap.md).

# 50. Fråga: Hämta rutnätsdata från "VectorAnalysisMap"

Fråga för att hämta rutnätsdata från "VectorAnalysisMap" som `GEOJSON`  med punkter eller `GEOTIFF`. Egenskapen properties innehåller de ursprungliga uppgifterna (som indexvärde) per punkt.

#### 1. Begär en fil för export

{% hint style="danger" %}
Rekommenderas att endast hämta ett enda dataset med `sourceDataUrl` per förfrågan.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, och `MinusTwoPixels` är tillgängliga som en `buffert`.

`GEOJSON` och `GEOTIFF` är tillgängliga som ett format.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromVectorAnalysisMap {
  getFarms(farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    farmOwnership
    fields(fieldUuids: ["<placeholder_of_field_uuid>"]){
      uuid
      vectorAnalysisMaps(vectorAnalysisMapUuids: ["<placeholder_of_zonesmap_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Ladda ner den genererade filen

Efter att filen har förberetts kan den laddas ner med `curl` eller en liknande metod.

{% hint style="danger" %}
`sourceDataUrl` länken är åtkomlig endast under **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-forfragningar/50.-fraga-hamta-rutnatsdata-fran-vectoranalysismap.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
